Skip to main content
PUT
Update device type

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string<uuid>
required

A UUID string identifying this device type.

Body

Serializer for DeviceType model.

vendor
string
required
Maximum string length: 255
model
string
required
Maximum string length: 255
organisation
string<uuid>
required
annotations
object

Key-value annotations. Keys must start with a lowercase letter and contain only lowercase alphanumeric segments joined by hyphens or underscores (e.g. 'org-id', 'gpu_ready').

tags
string[]

Tags for the resource. Must start with a lowercase letter and contain only lowercase alphanumeric segments joined by hyphens or underscores (e.g. 'gpu-ready', 'needs_review'). Stored deduplicated and sorted.

kind
enum<string>
  • host - Host
  • switch - Switch
Available options:
host,
switch
resource_class
string
Maximum string length: 255

Response

Serializer for DeviceType model.

id
string<uuid>
required
read-only
organisation_name
string
required
read-only

Serializer for device type links.

created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only
vendor
string
required
Maximum string length: 255
model
string
required
Maximum string length: 255
organisation
string<uuid>
required
annotations
object

Key-value annotations. Keys must start with a lowercase letter and contain only lowercase alphanumeric segments joined by hyphens or underscores (e.g. 'org-id', 'gpu_ready').

tags
string[]

Tags for the resource. Must start with a lowercase letter and contain only lowercase alphanumeric segments joined by hyphens or underscores (e.g. 'gpu-ready', 'needs_review'). Stored deduplicated and sorted.

kind
enum<string>
  • host - Host
  • switch - Switch
Available options:
host,
switch
resource_class
string
Maximum string length: 255